NI Error Reporting Help

January 2017, 373371D-01

NI Error Reporting allows you to send NI a crash or internal warning report. NI uses the report to improve the software. You can attach relevant files, comments, and your email address to the crash or internal warning report. NI recommends that you attach all files necessary to reproduce the crash or internal warning.

Note Note
  • Sending a report to NI through NI Error Reporting and including your email address does not provide immediate technical support. For help resolving a crash or internal warning, contact NI technical support.
  • If the Send button is disabled, contact your administrator.

Terms that Might Appear in NI Error Reporting Dialog Boxes

The following terms might appear in the NI Error Reporting dialog box:
  • Exception—Internal error that the operating system detects.
  • (LabVIEW) DAbort—LabVIEW internal error. LabVIEW cannot continue running when an internal error (DAbort) occurs because this might risk corrupting VIs in memory. In the NI Error Reporting dialog box, internal errors (DAborts) are associated with an error code. You can search the error code on ni.com for possible reasons that might have caused the internal error.
  • (LabVIEW) DWarn—LabVIEW internal warning. LabVIEW can continue running when an internal warning (DWarn) occurs but will log the information into the internal warning report.

Understanding Reports

To view a report before you send it to NI, click View Report in the NI Error Reporting dialog box.

NI Error Reporting saves the last 20 reports for each process or product on the computer. You can locate the crash or internal warning report in the following directories:

  • (LabVIEW) LabVIEW Data\LVInternalReports\LabVIEW\<Version>\<Report ID>
  • (MAX) C:\ProgramData\National Instruments\MAX\Logs\MAX\<Report ID>
  • (All other NI products) %LocalAppData%\National Instruments\<Product Name>\ErrorReports\<Version>\<Report ID>

You can find <Version> and <Report ID> in the NI Error Reporting dialog box.

The crash or internal warning report contains:

  • Minimal process dump files for the internal warnings, errors, and exceptions that include error codes and other information pertaining to the crash or internal warning
  • A text file that includes additional details about the crash or internal warning
  • A second text file that includes the comments and email address you enter in the NI Error Reporting dialog box
  • (Optional) The zip file you attach to the NI Error Reporting dialog box

Possible Reasons for an Error While Sending a Report

Code | Description
0x80002012 | A timeout occurred connecting to the National Instruments server. Click Retry to try sending the report again. If you continue to experience errors when sending a crash or internal warning report, contact National Instruments technical support for assistance.
0x80002011 | A timeout occurred because the report took more than five minutes to send. This can occur if the report is too large or the network connection is slow. Click Retry to try sending the report again.
0x80002001 | A firewall or other network settings prevented this report from being sent. Disable any software firewalls or contact your network administrator.
0x8000200C | Proxy authorization is required to send this report. Contact your network administrator.
0x80008002 | The National Instruments server is unavailable. Click Retry to try sending the report again. If you continue to experience errors when sending a crash or internal warning report, contact National Instruments technical support for assistance.
0x80008001, 0x80008003, 0x80008004, 0x80008005, 0x80008006, 0x80008007, and 0x8000200A | The National Instruments server is unable to accept this report. Click Retry to try sending the report again. If you continue to experience errors when sending a crash or internal warning report, contact National Instruments technical support for assistance.
Note Note All other error codes return the following description: An error occurred while sending this report. Click Retry to try sending the report again. If you continue to experience errors when sending an error or warning report, contact National Instruments technical support for assistance.

Relaunching Product on Crash

The Relaunch <Product Name> checkbox relaunches the product after you close the Crash Reporter dialog box.

The product relaunches based on how it was previously launched, such as by double-clicking the .EXE file or passing in command-line arguments.

Reasons Product Cannot Relaunch

The Relaunch <Product Name> checkbox might be disabled and the product cannot be relaunched for the following reasons:

  • Total string length of the command-line argument used to previously launch product exceeds 255 characters.
  • (LabVIEW) You are using LabVIEW 2011.
  • (LabVIEW) You are using the LabVIEW Run-Time Engine.

(LabVIEW) NI Error Reporting in the LabVIEW Run-Time Engine

In the LabVIEW Run-Time Engine, NI Error Reporting displays a crash dialog box when an internal error (DAbort) or exception is detected. However, you do not have the option to send the report to NI. The crash dialog box displays the name of the process as the product name rather than the name of the software application, such as LabVIEW. NI Error Reporting creates minimal process dump files for internal warnings (DWarns), but the Internal Warning Reporter dialog box does not appear when you close the application.

© 2011–2017 National Instruments. All rights reserved.


NI Services

NI provides global services and support as part of our commitment to your success. Take advantage of product services in addition to training and certification programs that meet your needs during each phase of the application life cycle; from planning and development through deployment and ongoing maintenance.

To get started, create an account or log in to your MyNI user profile at ni.com/myproducts and register your product.

As a registered NI product user, you are entitled to the following benefits:

  • Access to applicable product services.
  • Easier product management with an online account.
  • Receive critical part notifications, software updates, and service expirations.

Services and Resources

  • Maintenance and Hardware Services—NI helps you identify your systems' accuracy and reliability requirements and provides warranty, sparing, and calibration services to help you maintain accuracy and minimize downtime over the life of your system. Visit ni.com/services for more information.
    • Warranty and Repair—All NI hardware features a one-year standard warranty that is extendable up to five years. NI offers repair services performed in a timely manner by highly trained factory technicians using only original parts at a NI service center.
    • Calibration—Through regular calibration, you can quantify and improve the measurement performance of an instrument. NI provides state-of-the-art calibration services. If your product supports calibration, you can obtain the calibration certificate for your product at ni.com/calibration.
  • System Integration—If you have time constraints, limited in-house technical resources, or other project challenges, National Instruments Alliance Partner members can help. To learn more, call your local NI office or visit ni.com/alliance.
  • Training and Certification—The NI training and certification program is the most effective way to increase application development proficiency and productivity. Visit ni.com/training for more information.
    • The Skills Guide assists you in identifying the proficiency requirements of your current application and gives you options for obtaining those skills consistent with your time and budget constraints and personal learning preferences. Visit ni.com/skills-guide to see these custom paths.
    • NI offers courses in several languages and formats including instructor-led classes at facilities worldwide, courses on-site at your facility, and online courses to serve your individual needs.
  • Technical Support—Support at ni.com/support includes the following resources:
    • Self-Help Technical Resources—Visit ni.com/support for software drivers and updates, a searchable KnowledgeBase, product manuals, step-by-step troubleshooting wizards, thousands of example programs, tutorials, application notes, instrument drivers, and so on. Registered users also receive access to the NI Discussion Forums at ni.com/forums. NI Applications Engineers make sure every question submitted online receives an answer.
    • Software Support Service Membership—The Standard Service Program (SSP) is a renewable one-year subscription included with almost every NI software product, including NI Developer Suite. This program entitles members to direct access to NI Applications Engineers through phone and email for one-to-one technical support, as well as exclusive access to online training modules at ni.com/self-paced-training. NI also offers flexible extended contract options that guarantee your SSP benefits are available without interruption for as long as you need them. Visit ni.com/ssp for more information.
  • Declaration of Conformity (DoC)—A DoC is our claim of compliance with the Council of the European Communities using the manufacturer's declaration of conformity. This system affords the user protection for electromagnetic compatibility (EMC) and product safety. You can obtain the DoC for your product by visiting ni.com/certification.

For information about other technical support options in your area, visit ni.com/services or contact your local office at ni.com/contact.

You can also visit the Worldwide Offices section of ni.com/niglobal to access the branch office websites, which provide up-to-date contact information, support phone numbers, email addresses, and current events.